Home » Android » Could not find manifest-merger.jar (com.android.tools.build:manifest-merger:26.1.2) error after gradle 4.4 upgrade

Could not find manifest-merger.jar (com.android.tools.build:manifest-merger:26.1.2) error after gradle 4.4 upgrade

Posted by: admin April 23, 2020 Leave a comment

Questions:

After updrading to gradle 4.4:

gradle-wrapper.properties

distributionUrl=https\://services.gradle.org/distributions/gradle-4.4-all.zip

Android project compilation fails with the following error:

Could not find manifest-merger.jar (com.android.tools.build:manifest-merger:26.1.2).
Searched in the following locations:
    https://jcenter.bintray.com/com/android/tools/build/manifest-merger/26.1.2/manifest-merger-26.1.2.jar
How to&Answers:

The solution is quite simple, you have to invert jcenter() and google() repositories in your root build.gradle file (in mine jcenter() was first):

buildscript {

    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.1.2'


        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        jcenter()
    }
}

Answer:

I solved this by upgrading gradle wrapper version to gradle-4.10.1-all.zip

gradle-wrapper.properties

distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.1-all.zip

Answer:

Cleaning up Gradle cache (~/.gradle/caches) worked for me.

Answer:

  1. Remove .gradle folder in your root repository
  2. Update Gradle wrapper: distributionUrl=https\://services.gradle.org/distributions/gradle-5.1.1-all.zip

in file: gradle-wrapper.properties

  1. Sync Gradle again